package com.fr.plugin.decision.api.bean.consanguinity;

import com.finebi.dashboard.api.bean.report.consanguinity.AbstractTableConsanguinityBean;
import com.finebi.dashboard.api.bean.report.consanguinity.TableConsanguinityBean;

/**
 * @Author JianYe.Wang
 * @Data 2022/8/11 10:53
 * @Description 主要表示一些无法解析的数据集
 * @Version 10.0
 **/
public class UnknownFieldTableBean extends AbstractTableConsanguinityBean {

    public UnknownFieldTableBean(TableConsanguinityBean bean) {
        setTableName(bean.getTableName());
        setPackageName(bean.getPackageName());
        setPackageId(bean.getPackageId());
    }

    @Override
    public int getType() {
        return -1;
    }
}
