package com.fr.plugin.decision.api.utils;

import com.fr.decision.authority.data.User;
import com.fr.decision.webservice.v10.user.UserService;

import java.util.Objects;

/**
 * @Author JianYe.Wang
 * @Data 2022/7/18 9:45
 * @Description TODO
 * @Version 10.0
 **/
public class UserUtils {

    private static final String UNKNOWN_USERNAME = "未知用户";

    public static String getUserNameById(String userId) {
        try {
            User user = UserService.getInstance().getUserByUserId(userId);
            if (!Objects.isNull(user)) {
                return user.getUserName();
            }
        } catch (Exception ignore) {
        }

        return UNKNOWN_USERNAME;
    }

}
